TIN
Introduction

API details
Endpoint
https://api.signzy.app/api/v3/tin/tinshttps://api-preproduction.signzy.app/api/v3/tin/tinsRequest Headers
Name | Value | Required | Description |
|---|---|---|---|
Content-type | application/json | Mandatory | The type of content that the request body contains. |
Authorization | XXXXXXXXXXXXXXX | Mandatory | An authentication token to authorize the request. Reach out to the Signzy support team to get one created |
Request body parameters
Parameter | Data Type | Description | Required |
|---|---|---|---|
tinNumber | string | Tax Identification Number | Mandatory |
{
"tinNumber":"<tinNumber>"
}Code samples
package main
import (
"fmt"
"strings"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api-preproduction.signzy.app/api/v3/tin/tins"
method := "POST"
payload := strings.NewReader(`{
"tinNumber": "<tinNumber>"
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Content-Type", "application/json")
req.Header.Add("Authorization", "<Token>")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := ioutil.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}Response body parameters
Parameter Name | Data Type | Description |
|---|---|---|
result.registrationStatus | String | Registration status (e.g., "CANCELLED") |
result.cstStatus | String | CST (Central Sales Tax) status (e.g., "CANCELLED") |
result.pan | String | PAN (Permanent Account Number) |
result.status | String | Status information (may be empty) |
result.ownerName | String | Owner's name (may be empty) |
result.dealer | String | Dealer's name (e.g., "M/S TUNGALOY INDIA PRIVATE LIMITED") |
result.address | String | Full address |
result.splitAddress | Object | Contains various address components |
result.splitAddress.district | Array of Strings | District(s) of the address |
result.splitAddress.state | Array of Arrays | State information, including name and abbreviation |
result.splitAddress.city | Array of Strings | City or cities in the address |
result.splitAddress.pincode | String | Postal code (PIN code) |
result.splitAddress.country | Array of Strings | Country information, including ISO codes |
result.splitAddress.addressLine | String | Concatenated address line |
result.regDate | String | Registration date (format: DD/MM/YYYY) |
result.cancelDate | String | Cancellation date (may be empty) |
"result": [
{
"registrationStatus": "CANCELLED",
"cstStatus": "CANCELLED",
"pan": "<PanNumber>",
"status": "",
"ownerName": "",
"dealer": "M/S TUNGALOY INDIA PRIVATE LIMITED",
"address": "TOWER NO.1,UNIT 9,NDIABULLS FINANCE CE,MUMBAI,MUMBAI,TON ROAD WEST)MUMBAISENAPATI MAHARASHTRA",
"splitAddress": {
"district": [
"MUMBAI"
],
"state": [
[
"MAHARASHTRA",
"MH"
]
],
"city": [
"MUMBAI"
],
"pincode": "400033",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "TOWER NO.1,UNIT 9,NDIABULLS FINANCE CE,TON ROAD WEST)SENAPATI"
},
"regDate": "19/03/2010",
"cancelDate": ""
}
]Contact Us for Any Assistance
If you have any questions or need assistance, please reach out to our customer support team. You can contact us via email at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!